local AbsActLogic = require("absAct.AbsActLogic")
local MangHeLogic = require("absAct.MangHeLogic")
local PerpleHeroLogic = require("absAct.PerpleHeroLogic")
local HeroLogLogic = require("absAct.HeroLogLogic")
local DropExchangeLogic = require("absAct.DropExchangeLogic")
local AbsJifenDrawLogic = require("absAct.AbsJifenDrawLogic")
local HeroLoginPickLogic = require("absAct.HeroLoginPickLogic")
local AbsZhanbuLunpanLogic = require("absAct.AbsZhanbuLunpanLogic")
local RechargeBackLogic = require("absAct.RechargeBackLogic")
local HeroGrowUp = require("absAct.HeroGrowUp")
local Abs365CardLogic = require("absAct.Abs365CardLogic")
local HeroComeLogic = require("absAct.HeroComeLogic")
local WishGiftLogic = require("absAct.WishGiftLogic")
local EveryDayPrayLogic = require("absAct.EveryDayPrayLogic")
local AbsSurpriseChest = require("absAct.AbsSurpriseChest")
local SpecialCustomLogic = require("absAct.SpecialCustomLogic")
local SevenDayLogic = require("absAct.SevenDayLogic")
local DrumBlastingLogic = require("absAct.DrumBlastingLogic")
local PremiumGiftLogic = require("absAct.PremiumGiftLogic")
local ExclusiveTaskLogic = require("absAct.ExclusiveTaskLogic")
local UseDiamondLogic = require("absAct.UseDiamondLogic")
local WishCupLogic = require("absAct.WishCupLogic")
local SingleReachLogic = require("absAct.SingleReachLogic")
local TotalReachLogic = require("absAct.TotalReachLogic")
local AbsOpenServerTotalConsume = require("absAct.AbsOpenServerTotalConsume")
local AbsReachRankLogic = require("absAct.AbsReachRankLogic")
local DailyFixedTaskLogic = require("absAct.DailyFixedTaskLogic")
local FestivalSevenDayCardLogic = require("absAct.FestivalSevenDayCardLogic")
local AbsSignGiftLogic = require("absAct.AbsSignGiftLogic")

function CG_ABS_ACT_DETAIL_QUERY(human, msg)
    AbsActLogic.actDetailQuery(human,msg.id)
end

-- 盲盒成就 查询
function CG_ABS_ACT_MANGHE_CJ_QUERY(human, msg)
    MangHeLogic.queryCj(human)
end

-- 盲盒 概率查询
function CG_ABS_ACT_MANGHE_RARE_QUERY(human, msg)
    MangHeLogic.queryRare(human)
end

-- 盲盒 抽奖
function CG_ABS_ACT_MANGHE_DO(human, msg)
    MangHeLogic.draw(human, msg.cnt)
end

-- 盲盒 成就领奖
function CG_ABS_ACT_MANGHE_CJ_GET(human)
    MangHeLogic.cjGet(human)
end

-- 盲盒 每日领奖
function CG_ABS_ACT_MANGHE_MR_GET(human, msg)
    MangHeLogic.mrGet(human, msg.id)
end

function CG_ABS_ACT_PERPLE_HERO_SET(human,msg)
    PerpleHeroLogic.setPerpleHero(human,msg.perpleHero,msg.id)
end

function CG_ABS_ACT_PERPLE_HERO_COMBAT(human,msg)
    PerpleHeroLogic.heroCombat(human,msg.heroID)
end

function CG_ABS_ACT_GET_HERO_LOG_BOX(human,msg)
    HeroLogLogic.getBoxReward(human,msg.index,msg.id)
end

function CG_ABS_ACT_GET_HERO_LOG_TASK(human,msg)
    HeroLogLogic.getTaskReward(human,msg.index,msg.id)
end


function CG_ABS_ACT_DROP_SHOP_QUERY(human)
    DropExchangeLogic.shopQuery(human)
end

function CG_ABS_ACT_DROP_GIFT_QUERY(human)
    DropExchangeLogic.giftQuery(human)
end

function CG_ABS_ACT_DROP_SHOP_BUY(human, msg)
    DropExchangeLogic.shopBuy(human, msg.id, msg.buyCnt)
end

-- 积分召唤 兑换英雄
function CG_ABS_ACT_JIFEN_DRAW_BUY(human, msg)
   AbsJifenDrawLogic.buy(human, msg.id, msg.actID)
end

-- 英灵传说
function CG__ABS_ACT_HERO_LOGIN_PICK(human, msg)
    HeroLoginPickLogic.get(human, msg.type, msg.id, msg.param)
end

-- 占卜轮盘抽奖
function CG_ABS_ZHAN_BU_LUA_PAN_GET(human, msg)
    AbsZhanbuLunpanLogic.get(human, msg.id)
end

-- 超值礼包钻石购买
function CG_ABS_ACT_PREMIUM_GIFT_BUY(human, msg)
    PremiumGiftLogic.giftBuy(human, msg.id, msg.giftid)
end

function CG_ABS_RECHARGE_BACK_GET(human, msg)
    RechargeBackLogic.get(human, msg.panelID, msg.id)
end

function CG_HERO_GROWUP_TASK_QUERY(human, msg)
    HeroGrowUp.sendTaskQuery(human, msg.mainType)
end

function CG_HERO_GROWUP_TASK_GET(human, msg)
    HeroGrowUp.getTaskItems(human, msg.id)
end

function CG_HERO_GROWUP_KING_QUERY(human)
    HeroGrowUp.sendKingQuery(human)
end

function CG_HERO_GROWUP_REWARD_QUERY(human)
    HeroGrowUp.sendRewardQuery(human)
end

function CG_HERO_GROWUP_LV_GET(human,msg)
    HeroGrowUp.getLvReward(human,msg.lv)
end

function CG_HERO_GROWUP_BUY_JIFEN(human,msg)
    HeroGrowUp.buyJifen(human,msg.itemID,msg.cnt)
end

function CG_ABS_365CARD_GET(human,msg)
    Abs365CardLogic.get(human,msg.actId)
end

function CG_ABS_365CARD_DRAW(human,msg)
   Abs365CardLogic.draw(human,msg.actId)
end

-- 新英雄来袭-英雄降临-设置心仪英雄
function CG_ABS_ACT_HERO_COME_SET(human,msg)
    HeroComeLogic.setPerpleHero(human,msg.perpleHero,msg.id)
end

function CG_ABS_ACT_HERO_COME_COMBAT(human,msg)
    HeroComeLogic.heroCombat(human,msg.heroID)
end

-- 新英雄来袭-夙愿礼盒-钻石购买
function CG_ABS_ACT_WISH_GIFT_BUY(human, msg)
    WishGiftLogic.giftBuy(human, msg.id, msg.giftid)
end

-- 新英雄来袭-每日祈福-领取
function CG_ABS_ACT_EVERY_DAY_PRAY_GET(human, msg)
    EveryDayPrayLogic.get(human, msg.type, msg.id, msg.param)
end

-- 新英雄来袭-惊喜宝箱-领取完成任务奖励
function CG_ABS_SURPRISE_CHEST_GET(human, msg)
    AbsSurpriseChest.get(human, msg.actId, msg.day)
end

-- 新英雄来袭-惊喜宝箱-补领任务奖励
function CG_ABS_SURPRISE_CHEST_BU_GET(human, msg)
    AbsSurpriseChest.buGet(human, msg.actId, msg.day)
end

-- 新英雄来袭-专属任务-箱子奖励
function CG_ABS_ACT_GET_EXCLUSIVE_TASK_BOX(human,msg)
    ExclusiveTaskLogic.getBoxReward(human,msg.index,msg.id)
end

-- 新英雄来袭-专属任务-任务奖励
function CG_ABS_ACT_GET_EXCLUSIVE_TASK_TASK(human,msg)
    ExclusiveTaskLogic.getTaskReward(human,msg.index,msg.id)
end

function CG_ABS_ND_SEVEN_DAY_GET(human,msg)
    SevenDayLogic.getItem(human,msg.day,msg.actId)
end

function CG_ABS_ND_DRUM_GET(human,msg)
    DrumBlastingLogic.get(human,msg.id,msg.type,msg.actId)
end

function CG_ABS_ND_CUSTOM_CHOSE_ITEM(human,msg)
    SpecialCustomLogic.selectItem(human,msg.id,msg.giftId,msg.first,msg.second,msg.third)
end


function CG_ABS_ND_CUSTOM_GET(human,msg)
    SpecialCustomLogic.customBuy(human,msg.id,msg.args)
end

function CG_ABS_HF_USE_DIAMOND_GET(human,msg)
    UseDiamondLogic.getUseDiamondReward(human,msg.actId,msg.id)
end


function CG_ABS_HF_WISH_CUP_SELECT(human,msg)
    WishCupLogic.selectCup(human,msg.actId,msg.one,msg.two,msg.three)
end

function CG_ABS_XS_REACH_GET(human,msg)
    TotalReachLogic.getTotalReachReward(human,msg.actId,msg.id)
end

function CG_ABS_XS_SINGLE_REACH_GET(human,msg)
    SingleReachLogic.getSingleReachReward(human,msg.actId,msg.id)
end

function CG_ABS_OPEN_SERVER_REACH_GET(human, msg)
    AbsOpenServerTotalConsume.get(human, msg.funcID, msg.id)
end

-- ABS公共排行
function CG_ABS_REACH_RANK_REWARD_QUERY(human, msg)
    AbsReachRankLogic.rewardQuery(human, msg.actId, msg.funcRankType)
end

--
function CG_ABS_DAILY_FIXED_TASK_GET(human, msg)
    DailyFixedTaskLogic.getItem(human, msg.actId, msg.giftId)
end

function CG_ABS_SIGNGIFT_REWARD(human, msg)
    AbsSignGiftLogic.getItem(human, msg.id, msg.funcID, msg.type)
end